------------------------------------------------------------------------
r58 | lordstrucker | 2012-10-07 17:34:29 +0000 (Sun, 07 Oct 2012) | 1 line
Changed paths:
   M /trunk/checks/WhatsNext-Checks-Buffs.lua

Fixed a lag issue caused by large raid groups.
------------------------------------------------------------------------
r57 | lordstrucker | 2012-10-03 00:47:12 +0000 (Wed, 03 Oct 2012) | 5 lines
Changed paths:
   M /trunk/WhatsNext-Extension.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc
   A /trunk/checks/WhatsNext-Checks-Monks.lua
   A /trunk/checks/WhatsNext-Checks-Priests.lua
   M /trunk/ui/WhatsNext-LogicSetManagementDisplay.xml

Added a check for Monk Chi.
Added a check for Priest Shadow Orbs.

Fixed a key bind bug.
Fixed a bug caused by a player having no active spec.
------------------------------------------------------------------------
r56 | lordstrucker | 2012-09-27 08:44:31 +0000 (Thu, 27 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext.lua
   M /trunk/ui/WhatsNext-LogicSetScrollDisplay.xml

Fixed a bug that prevented the suggestion frame from being disabled.
Fixed a bug were replaced abilities would appear available.
------------------------------------------------------------------------
r55 | lordstrucker | 2012-09-26 16:03:33 +0000 (Wed, 26 Sep 2012) | 1 line
Changed paths:
   M /trunk/ui/WhatsNext-ArgumentDisplay.xml

Fixed as bug in the spell name argument edit frame.
------------------------------------------------------------------------
r54 | lordstrucker | 2012-09-24 22:40:50 +0000 (Mon, 24 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-Extension.lua
   M /trunk/WhatsNext-Localization.lua
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc
   M /trunk/ui/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/ui/WhatsNext-CastLogicDisplay.xml
   M /trunk/ui/WhatsNext-CheckEditDisplay.xml
   M /trunk/ui/WhatsNext-LogicSetManagementDisplay.xml
   M /trunk/ui/WhatsNext.xml

Added options for showing the cooldown text and/or  the active logic block index.

------------------------------------------------------------------------
r53 | lordstrucker | 2012-09-24 18:49:38 +0000 (Mon, 24 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Localization.lua
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/checks/WhatsNext-Checks-Abilities.lua
   M /trunk/checks/WhatsNext-Checks-Buffs.lua
   M /trunk/checks/WhatsNext-Checks-Casting.lua
   M /trunk/checks/WhatsNext-Checks-Combat.lua
   M /trunk/checks/WhatsNext-Checks-DeathClocks.lua
   M /trunk/checks/WhatsNext-Checks-Druids.lua
   M /trunk/checks/WhatsNext-Checks-Health.lua
   M /trunk/checks/WhatsNext-Checks-Paladins.lua
   M /trunk/checks/WhatsNext-Checks-Pets.lua
   M /trunk/checks/WhatsNext-Checks-Position.lua
   M /trunk/checks/WhatsNext-Checks-Power.lua
   M /trunk/checks/WhatsNext-Checks-Rogue.lua
   M /trunk/checks/WhatsNext-Checks-UnitState.lua
   M /trunk/checks/WhatsNext-Checks-Warrior.lua

Renamed the GetSpellName method to avoid conflicts with other addons.
------------------------------------------------------------------------
r52 | lordstrucker | 2012-09-22 21:20:57 +0000 (Sat, 22 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/WhatsNext.lua

Fixed a bug in the action sorting
------------------------------------------------------------------------
r51 | lordstrucker | 2012-09-22 20:26:29 +0000 (Sat, 22 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Localization.lua
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/WhatsNext.toc
   D /trunk/checks/WhatsNext-CheckScrollDisplay.xml
   M /trunk/ui/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/ui/WhatsNext-CastLogicDisplay.xml
   A /trunk/ui/WhatsNext-CheckScrollDisplay.xml
   M /trunk/ui/WhatsNext-LogicSetManagementDisplay.xml
   M /trunk/ui/WhatsNext.xml

Fixed a bug in the ui file reference
------------------------------------------------------------------------
r49 | lordstrucker | 2012-09-22 16:05:26 +0000 (Sat, 22 Sep 2012) | 2 lines
Changed paths:
   D /trunk/WhatsNext-ArgumentDisplay.xml
   D /trunk/WhatsNext-ArgumentListDisplay.xml
   D /trunk/WhatsNext-CastBlockEditDisplay.xml
   D /trunk/WhatsNext-CastLogicBlockDisplay.xml
   D /trunk/WhatsNext-CastLogicDisplay.xml
   D /trunk/WhatsNext-CastLogicScrollDisplay.xml
   D /trunk/WhatsNext-CheckBlockDisplay.xml
   D /trunk/WhatsNext-CheckEditDisplay.xml
   D /trunk/WhatsNext-CheckScrollDisplay.xml
   D /trunk/WhatsNext-Checks-Abilities.lua
   D /trunk/WhatsNext-Checks-Buffs.lua
   D /trunk/WhatsNext-Checks-Casting.lua
   D /trunk/WhatsNext-Checks-Combat.lua
   D /trunk/WhatsNext-Checks-DBM.lua
   D /trunk/WhatsNext-Checks-DeathClocks.lua
   D /trunk/WhatsNext-Checks-DeathKnights.lua
   D /trunk/WhatsNext-Checks-Druids.lua
   D /trunk/WhatsNext-Checks-Health.lua
   D /trunk/WhatsNext-Checks-Items.lua
   D /trunk/WhatsNext-Checks-Paladins.lua
   D /trunk/WhatsNext-Checks-Pets.lua
   D /trunk/WhatsNext-Checks-Position.lua
   D /trunk/WhatsNext-Checks-Power.lua
   D /trunk/WhatsNext-Checks-Rogue.lua
   D /trunk/WhatsNext-Checks-State.lua
   D /trunk/WhatsNext-Checks-Stats.lua
   D /trunk/WhatsNext-Checks-UnitState.lua
   D /trunk/WhatsNext-Checks-Warlocks.lua
   D /trunk/WhatsNext-Checks-Warrior.lua
   D /trunk/WhatsNext-DeathKnight-Blood.lua
   D /trunk/WhatsNext-Druid-Guardian.lua
   D /trunk/WhatsNext-EditBox.lua
   D /trunk/WhatsNext-EditBox.xml
   D /trunk/WhatsNext-Export.xml
   D /trunk/WhatsNext-Import.xml
   D /trunk/WhatsNext-LogicSetBlockDisplay.xml
   D /trunk/WhatsNext-LogicSetManagementDisplay.xml
   D /trunk/WhatsNext-LogicSetScrollDisplay.xml
   D /trunk/WhatsNext-Paladin-Protection.lua
   D /trunk/WhatsNext-Warrior-Arms.lua
   D /trunk/WhatsNext-Warrior-Fury.lua
   D /trunk/WhatsNext-Warrior-Protection.lua
   D /trunk/WhatsNext-config.xml
   M /trunk/WhatsNext.toc
   D /trunk/WhatsNext.xml
   A /trunk/checks
   A /trunk/checks/WhatsNext-CheckScrollDisplay.xml
   A /trunk/checks/WhatsNext-Checks-Abilities.lua
   A /trunk/checks/WhatsNext-Checks-Buffs.lua
   A /trunk/checks/WhatsNext-Checks-Casting.lua
   A /trunk/checks/WhatsNext-Checks-Combat.lua
   A /trunk/checks/WhatsNext-Checks-DBM.lua
   A /trunk/checks/WhatsNext-Checks-DeathClocks.lua
   A /trunk/checks/WhatsNext-Checks-DeathKnights.lua
   A /trunk/checks/WhatsNext-Checks-Druids.lua
   A /trunk/checks/WhatsNext-Checks-Health.lua
   A /trunk/checks/WhatsNext-Checks-Items.lua
   A /trunk/checks/WhatsNext-Checks-Paladins.lua
   A /trunk/checks/WhatsNext-Checks-Pets.lua
   A /trunk/checks/WhatsNext-Checks-Position.lua
   A /trunk/checks/WhatsNext-Checks-Power.lua
   A /trunk/checks/WhatsNext-Checks-Rogue.lua
   A /trunk/checks/WhatsNext-Checks-State.lua
   A /trunk/checks/WhatsNext-Checks-Stats.lua
   A /trunk/checks/WhatsNext-Checks-UnitState.lua
   A /trunk/checks/WhatsNext-Checks-Warlocks.lua
   A /trunk/checks/WhatsNext-Checks-Warrior.lua
   A /trunk/logicsets
   A /trunk/logicsets/WhatsNext-DeathKnight-Blood.lua
   A /trunk/logicsets/WhatsNext-Druid-Guardian.lua
   A /trunk/logicsets/WhatsNext-Paladin-Protection.lua
   A /trunk/logicsets/WhatsNext-Warrior-Arms.lua
   A /trunk/logicsets/WhatsNext-Warrior-Fury.lua
   A /trunk/logicsets/WhatsNext-Warrior-Protection.lua
   A /trunk/ui
   A /trunk/ui/WhatsNext-ArgumentDisplay.xml
   A /trunk/ui/WhatsNext-ArgumentListDisplay.xml
   A /trunk/ui/WhatsNext-CastBlockEditDisplay.xml
   A /trunk/ui/WhatsNext-CastLogicBlockDisplay.xml
   A /trunk/ui/WhatsNext-CastLogicDisplay.xml
   A /trunk/ui/WhatsNext-CastLogicScrollDisplay.xml
   A /trunk/ui/WhatsNext-CheckBlockDisplay.xml
   A /trunk/ui/WhatsNext-CheckEditDisplay.xml
   A /trunk/ui/WhatsNext-EditBox.xml
   A /trunk/ui/WhatsNext-Export.xml
   A /trunk/ui/WhatsNext-Import.xml
   A /trunk/ui/WhatsNext-LogicSetBlockDisplay.xml
   A /trunk/ui/WhatsNext-LogicSetManagementDisplay.xml
   A /trunk/ui/WhatsNext-LogicSetScrollDisplay.xml
   A /trunk/ui/WhatsNext.xml

Modified the default logic sets to use spellIDs rather then names.
Cleaned up the folder structure
------------------------------------------------------------------------
r48 | lordstrucker | 2012-09-22 13:35:58 +0000 (Sat, 22 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-ArgumentDisplay.xml
   M /trunk/WhatsNext-CastLogicBlockDisplay.xml
   M /trunk/WhatsNext-Checks-Abilities.lua
   M /trunk/WhatsNext-Checks-Buffs.lua
   M /trunk/WhatsNext-Checks-Casting.lua
   M /trunk/WhatsNext-Checks-Druids.lua
   M /trunk/WhatsNext-Checks-Paladins.lua
   M /trunk/WhatsNext-Checks-Pets.lua
   M /trunk/WhatsNext-Checks-Position.lua
   M /trunk/WhatsNext-Checks-Power.lua
   M /trunk/WhatsNext-Checks-Warrior.lua

Modified the conditional statement editor display to change given spell/buff/debuff names into spellIDs when possible.
------------------------------------------------------------------------
r47 | lordstrucker | 2012-09-22 12:12:42 +0000 (Sat, 22 Sep 2012) | 3 lines
Changed paths:
   M /trunk/WhatsNext-Checks-Abilities.lua
   M /trunk/WhatsNext-Checks-Buffs.lua
   M /trunk/WhatsNext-Checks-Casting.lua
   M /trunk/WhatsNext-Checks-Druids.lua
   M /trunk/WhatsNext-Checks-Paladins.lua
   M /trunk/WhatsNext-Checks-Pets.lua
   M /trunk/WhatsNext-Checks-Position.lua
   M /trunk/WhatsNext-Checks-Power.lua
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Warrior-Arms.lua
   M /trunk/WhatsNext-Warrior-Protection.lua
   M /trunk/WhatsNext.lua

Modified the conditional statements to accept spellIDs in place of of spell names for spells/buffs/debuffs.
Fixed a bug in the 'Hide out of combat' feature.
Fixed a bug in the conditional statements drop down.
------------------------------------------------------------------------
r46 | lordstrucker | 2012-09-21 19:36:05 +0000 (Fri, 21 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks-Abilities.lua
   M /trunk/WhatsNext-Checks-Buffs.lua
   M /trunk/WhatsNext-Checks-Casting.lua
   M /trunk/WhatsNext-Checks-Combat.lua
   M /trunk/WhatsNext-Checks-DeathClocks.lua
   M /trunk/WhatsNext-Checks-DeathKnights.lua
   M /trunk/WhatsNext-Checks-Druids.lua
   M /trunk/WhatsNext-Checks-Health.lua
   M /trunk/WhatsNext-Checks-Items.lua
   M /trunk/WhatsNext-Checks-Power.lua
   M /trunk/WhatsNext-Checks-UnitState.lua
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc

Improved performance and reduced memory footprint
------------------------------------------------------------------------
r45 | lordstrucker | 2012-09-21 16:41:56 +0000 (Fri, 21 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks-UnitState.lua

Added a few Unit State conditional statements.
------------------------------------------------------------------------
r44 | lordstrucker | 2012-09-21 15:51:28 +0000 (Fri, 21 Sep 2012) | 1 line
Changed paths:
   A /trunk/WhatsNext-Checks-Pets.lua
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc

Added a few pet conditional statements
------------------------------------------------------------------------
r43 | lordstrucker | 2012-09-21 12:24:17 +0000 (Fri, 21 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.xml

Added support for displaying multiple suggestions.
------------------------------------------------------------------------
r42 | lordstrucker | 2012-09-21 06:20:34 +0000 (Fri, 21 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks-Combat.lua
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Export.xml
   M /trunk/WhatsNext-Import.xml

Fixed the import/export to work with the expanded logic blocks.
------------------------------------------------------------------------
r41 | lordstrucker | 2012-09-19 04:08:02 +0000 (Wed, 19 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks-Position.lua
   M /trunk/WhatsNext-Checks.lua

Fixed a lag bug resulting from too many map zone updates being called.
------------------------------------------------------------------------
r40 | lordstrucker | 2012-09-18 23:54:29 +0000 (Tue, 18 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-ArgumentDisplay.xml
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CastLogicBlockDisplay.xml
   A /trunk/WhatsNext-Checks-Abilities.lua
   A /trunk/WhatsNext-Checks-Buffs.lua
   A /trunk/WhatsNext-Checks-Casting.lua
   A /trunk/WhatsNext-Checks-Combat.lua
   A /trunk/WhatsNext-Checks-DBM.lua
   A /trunk/WhatsNext-Checks-DeathClocks.lua
   A /trunk/WhatsNext-Checks-DeathKnights.lua
   A /trunk/WhatsNext-Checks-Druids.lua
   A /trunk/WhatsNext-Checks-Health.lua
   A /trunk/WhatsNext-Checks-Items.lua
   A /trunk/WhatsNext-Checks-Paladins.lua
   A /trunk/WhatsNext-Checks-Position.lua
   A /trunk/WhatsNext-Checks-Power.lua
   A /trunk/WhatsNext-Checks-Rogue.lua
   A /trunk/WhatsNext-Checks-State.lua
   A /trunk/WhatsNext-Checks-Stats.lua
   A /trunk/WhatsNext-Checks-UnitState.lua
   A /trunk/WhatsNext-Checks-Warlocks.lua
   A /trunk/WhatsNext-Checks-Warrior.lua
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc

Added many more conditional statements
Added the ability to suggest Items/Macros or display a line of text
------------------------------------------------------------------------
r39 | lordstrucker | 2012-09-17 21:36:40 +0000 (Mon, 17 Sep 2012) | 5 lines
Changed paths:
   M /trunk/WhatsNext-ArgumentDisplay.xml
   M /trunk/WhatsNext-ArgumentListDisplay.xml
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CastLogicBlockDisplay.xml
   M /trunk/WhatsNext-CastLogicDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-LogicSetManagementDisplay.xml
   M /trunk/WhatsNext-LogicSetScrollDisplay.xml
   M /trunk/WhatsNext-ValueLists.lua
   M /trunk/WhatsNext.lua

Added error catches to the Logic Set editor displays.
Added many conditional statements.
Added unit selection menus.
Abstracted many existing conditional statements to work with units other than target and player.

------------------------------------------------------------------------
r38 | lordstrucker | 2012-09-16 15:05:29 +0000 (Sun, 16 Sep 2012) | 4 lines
Changed paths:
   M /trunk/WhatsNext-CheckEditDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   A /trunk/WhatsNext-ValueLists.lua
   A /trunk/WhatsNext-Warrior-Arms.lua
   A /trunk/WhatsNext-Warrior-Fury.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc

Fixed a bug caused by the player having no active spec.
Fixed a rare bug in the enemy count conditional statements.

Added a default logic set for Arms and Fury Warriors.
------------------------------------------------------------------------
r37 | lordstrucker | 2012-09-15 16:55:04 +0000 (Sat, 15 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-CheckEditDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-LogicSetBlockDisplay.xml
   M /trunk/WhatsNext.lua

Improved the conditional statement drop down menu to make it easier to navigate.

------------------------------------------------------------------------
r36 | lordstrucker | 2012-09-15 15:20:48 +0000 (Sat, 15 Sep 2012) | 4 lines
Changed paths:
   M /trunk/WhatsNext-CastLogicBlockDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   A /trunk/WhatsNext-Druid-Guardian.lua
   M /trunk/WhatsNext-Export.xml
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc

Changed the export to use a spells id rather then name when available.
Changed the Logic Block Display to accept spell ID's or spell names.
Changed the core to work with spell names or spell IDs.
Added default logic for Guardian Druids.
------------------------------------------------------------------------
r35 | lordstrucker | 2012-09-15 12:00:51 +0000 (Sat, 15 Sep 2012) | 5 lines
Changed paths:
   M /trunk/WhatsNext-CastLogicBlockDisplay.xml
   M /trunk/WhatsNext-CheckEditDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Paladin-Protection.lua
   M /trunk/WhatsNext.toc

Added a Prot Pally default logic set.
Fixed a bug in the export function.
Added a few new conditional statements.
Cleaned up the Cast Block List display to better handle long text strings.
Cleaned up the conditional statement drop down menu to close on selection.
------------------------------------------------------------------------
r34 | lordstrucker | 2012-09-15 11:18:56 +0000 (Sat, 15 Sep 2012) | 3 lines
Changed paths:
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-DeathKnight-Blood.lua
   M /trunk/WhatsNext-Export.xml
   A /trunk/WhatsNext-Paladin-Protection.lua

Added a Prot Pally default logic set.
Fixed a bug in the export function.
Added a few new conditional statements.
------------------------------------------------------------------------
r33 | lordstrucker | 2012-09-14 15:17:04 +0000 (Fri, 14 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-ArgumentDisplay.xml
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CheckBlockDisplay.xml
   M /trunk/WhatsNext-CheckEditDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Warrior-Protection.lua

Cleaned up the Logic Block edit display to handle longer conditional statements.
------------------------------------------------------------------------
r32 | lordstrucker | 2012-09-14 08:50:48 +0000 (Fri, 14 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-DeathKnight-Blood.lua

Ops uploaded wrong copy
------------------------------------------------------------------------
r31 | lordstrucker | 2012-09-14 08:42:20 +0000 (Fri, 14 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua

Fixed a bug in the (De)Buff By Player conditional statements
------------------------------------------------------------------------
r30 | lordstrucker | 2012-09-14 08:36:29 +0000 (Fri, 14 Sep 2012) | 3 lines
Changed paths:
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-DeathKnight-Blood.lua
   M /trunk/WhatsNext-Export.xml
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc

Cleaned up the DK rune conditional statements.
Fixed a bug in the export function
Added a default logic set for Blood DKs
------------------------------------------------------------------------
r29 | lordstrucker | 2012-09-13 14:50:16 +0000 (Thu, 13 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua

Added Deadly Boss Mods conditional statements
------------------------------------------------------------------------
r28 | lordstrucker | 2012-09-13 12:09:52 +0000 (Thu, 13 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-ArgumentListDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Export.xml
   M /trunk/WhatsNext-Import.xml

Added default values for many conditional statement arguments.
Cleaned up the export script to make it more readable.
------------------------------------------------------------------------
r27 | lordstrucker | 2012-09-12 09:37:56 +0000 (Wed, 12 Sep 2012) | 3 lines
Changed paths:
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CastLogicDisplay.xml
   M /trunk/WhatsNext-CastLogicScrollDisplay.xml
   M /trunk/WhatsNext-CheckEditDisplay.xml
   M /trunk/WhatsNext-CheckScrollDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-EditBox.xml
   M /trunk/WhatsNext-Export.xml
   M /trunk/WhatsNext-Import.xml
   A /trunk/WhatsNext-LogicSetBlockDisplay.xml
   A /trunk/WhatsNext-LogicSetManagementDisplay.xml
   A /trunk/WhatsNext-LogicSetScrollDisplay.xml
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext-Warrior-Protection.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.toc

Implemented a Logic Set Management Display for supporting multiple logic sets for a single class/spec.
Added the ability to automatically switch between logic sets based on the zone type.
Cleaned up the existing displays.
------------------------------------------------------------------------
r26 | lordstrucker | 2012-09-10 22:37:17 +0000 (Mon, 10 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-Checks.lua

Added lock resource conditional statements
Added % power conditional statement.
------------------------------------------------------------------------
r25 | lordstrucker | 2012-09-10 09:39:02 +0000 (Mon, 10 Sep 2012) | 3 lines
Changed paths:
   M /trunk/WhatsNext-ArgumentDisplay.xml
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CastLogicDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-EditBox.xml
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.xml

Added escape functionality to frames and editboxes.
Added a number of item related conditional statements.
Vertically centered the ability name in the suggestion display.
------------------------------------------------------------------------
r24 | lordstrucker | 2012-09-09 23:20:57 +0000 (Sun, 09 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-CastLogicBlockDisplay.xml
   M /trunk/WhatsNext-Checks.lua

Added a error driven conditional statement for testing if behind the target.
------------------------------------------------------------------------
r23 | lordstrucker | 2012-09-09 21:13:52 +0000 (Sun, 09 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua

Added a few new conditional statements
------------------------------------------------------------------------
r22 | lordstrucker | 2012-09-09 19:31:50 +0000 (Sun, 09 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-CheckEditDisplay.xml
   M /trunk/WhatsNext-Checks.lua

Added a large number of conditional statements
Organized conditional statements into categories
------------------------------------------------------------------------
r21 | lordstrucker | 2012-09-09 17:32:09 +0000 (Sun, 09 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Settings.lua

Removed annoying print out
Fixed the option screen to load the class/spec of the current char as the default.
------------------------------------------------------------------------
r20 | lordstrucker | 2012-09-09 16:58:58 +0000 (Sun, 09 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Settings.lua

Added count arguments to the buff conditional statements
------------------------------------------------------------------------
r19 | lordstrucker | 2012-09-09 16:16:10 +0000 (Sun, 09 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua

Added the ability to check for multiple stacks of a debuff
------------------------------------------------------------------------
r18 | lordstrucker | 2012-09-09 07:27:06 +0000 (Sun, 09 Sep 2012) | 3 lines
Changed paths:
   M /trunk/WhatsNext-CastLogicDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Export.xml
   M /trunk/WhatsNext-Warrior-Protection.lua

Modified the default prot warrior logic.
Fixed a bug that prevented changes being used immediately
Added conditional statements.
------------------------------------------------------------------------
r17 | lordstrucker | 2012-09-08 08:52:47 +0000 (Sat, 08 Sep 2012) | 3 lines
Changed paths:
   M /trunk/WhatsNext-CastLogicScrollDisplay.xml
   M /trunk/WhatsNext-CheckBlockDisplay.xml
   M /trunk/WhatsNext-CheckEditDisplay.xml
   M /trunk/WhatsNext-CheckScrollDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Export.xml
   M /trunk/WhatsNext.toc

Added the ability to double click list items to edit them.
Fixed the Import/Export references.

------------------------------------------------------------------------
r16 | lordstrucker | 2012-09-08 01:32:26 +0000 (Sat, 08 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CastLogicDisplay.xml
   A /trunk/WhatsNext-Export.xml
   A /trunk/WhatsNext-Import.xml
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext.lua

Added the ability to import/export logic sets/blocks
------------------------------------------------------------------------
r15 | lordstrucker | 2012-09-07 17:45:54 +0000 (Fri, 07 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext.lua

Added additional casting conditional statements.
Added rogue specific conditional statements.
------------------------------------------------------------------------
r14 | lordstrucker | 2012-09-07 07:34:43 +0000 (Fri, 07 Sep 2012) | 4 lines
Changed paths:
   M /trunk/WhatsNext-ArgumentDisplay.xml
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Warrior-Protection.lua
   M /trunk/WhatsNext.lua

Added a number of conditional statements
Improved the raid buffed conditional statements
Improved the default Prot Warrior logic set
Fixed multiple bugs in the logic set creation process.
------------------------------------------------------------------------
r13 | lordstrucker | 2012-09-07 01:25:36 +0000 (Fri, 07 Sep 2012) | 1 line
Changed paths:
   A /trunk/fonts
   A /trunk/fonts/ABF.ttf
   A /trunk/fonts/Accidental Presidency.ttf
   A /trunk/fonts/Adventure.ttf
   A /trunk/fonts/AnonymousPro-Bold.ttf
   A /trunk/fonts/Avqest.ttf
   A /trunk/fonts/Bazooka.ttf
   A /trunk/fonts/BigNoodleTitling-Oblique.ttf
   A /trunk/fonts/BigNoodleTitling.ttf
   A /trunk/fonts/BlackChancery.ttf
   A /trunk/fonts/CRYSRG__.TTF
   A /trunk/fonts/DORISPP.TTF
   A /trunk/fonts/DejaVuSansMono.ttf
   A /trunk/fonts/Emblem.ttf
   A /trunk/fonts/Enigma__2.TTF
   A /trunk/fonts/FSEX300.ttf
   A /trunk/fonts/JAi_____.TTF
   A /trunk/fonts/LiberationSans-Regular.ttf
   A /trunk/fonts/MONOFONT.TTF
   A /trunk/fonts/Movie_Poster-Bold.ttf
   A /trunk/fonts/Porky.ttf
   A /trunk/fonts/Tangerin.ttf
   A /trunk/fonts/Tw_Cen_MT_Bold.ttf
   A /trunk/fonts/Ultima_Campagnoli.ttf
   A /trunk/fonts/VeraSe.ttf
   A /trunk/fonts/WHITRABT.TTF
   A /trunk/fonts/Yellowjacket.ttf
   A /trunk/fonts/rm_midse.ttf

Initial font upload
------------------------------------------------------------------------
r12 | lordstrucker | 2012-09-07 01:22:58 +0000 (Fri, 07 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.xml

Yet more appearance options.
------------------------------------------------------------------------
r11 | lordstrucker | 2012-09-07 00:12:06 +0000 (Fri, 07 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.xml

Added the ability to set the border full and off CD colors.
------------------------------------------------------------------------
r9 | lordstrucker | 2012-09-06 23:41:40 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Settings.lua
   M /trunk/WhatsNext.lua
   M /trunk/WhatsNext.xml

Added some appearance options
------------------------------------------------------------------------
r8 | lordstrucker | 2012-09-06 21:27:30 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Extension.lua

Removed some code used only for testing.
------------------------------------------------------------------------
r7 | lordstrucker | 2012-09-06 21:11:55 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CastLogicDisplay.xml
   M /trunk/WhatsNext-Settings.lua

Cleaned up the options screens.
------------------------------------------------------------------------
r6 | lordstrucker | 2012-09-06 08:21:26 +0000 (Thu, 06 Sep 2012) | 2 lines
Changed paths:
   M /trunk/WhatsNext-CastBlockEditDisplay.xml
   M /trunk/WhatsNext-CastLogicDisplay.xml

Fixed a bug when adding to an empty logic set

------------------------------------------------------------------------
r5 | lordstrucker | 2012-09-06 08:09:51 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-CastBlockEditDisplay.xml

Fixed the Edit button on the Logic Block Edit Display
------------------------------------------------------------------------
r4 | lordstrucker | 2012-09-06 07:54:05 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua
   M /trunk/WhatsNext-Warrior-Protection.lua

Added some range conditions
------------------------------------------------------------------------
r3 | lordstrucker | 2012-09-06 03:57:23 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   M /trunk/WhatsNext-Checks.lua

Removed print out
------------------------------------------------------------------------
r2 | lordstrucker | 2012-09-06 03:11:17 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   A /trunk/Libs
   A /trunk/Libs/AceAddon-3.0
   A /trunk/Libs/AceAddon-3.0/AceAddon-3.0.lua
   A /trunk/Libs/AceAddon-3.0/AceAddon-3.0.xml
   A /trunk/Libs/AceConfig-3.0
   A /trunk/Libs/AceConfig-3.0/AceConfig-3.0.lua
   A /trunk/Libs/AceConfig-3.0/AceConfig-3.0.xml
   A /trunk/Libs/AceConfig-3.0/AceConfigCmd-3.0
   A /trunk/Libs/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   A /trunk/Libs/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.xml
   A /trunk/Libs/AceConfig-3.0/AceConfigDialog-3.0
   A /trunk/Libs/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   A /trunk/Libs/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.xml
   A /trunk/Libs/AceConfig-3.0/AceConfigRegistry-3.0
   A /trunk/Libs/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   A /trunk/Libs/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.xml
   A /trunk/Libs/AceConsole-3.0
   A /trunk/Libs/AceConsole-3.0/AceConsole-3.0.lua
   A /trunk/Libs/AceConsole-3.0/AceConsole-3.0.xml
   A /trunk/Libs/AceDB-3.0
   A /trunk/Libs/AceDB-3.0/AceDB-3.0.lua
   A /trunk/Libs/AceDB-3.0/AceDB-3.0.xml
   A /trunk/Libs/AceDBOptions-3.0
   A /trunk/Libs/AceDBOptions-3.0/AceDBOptions-3.0.lua
   A /trunk/Libs/AceDBOptions-3.0/AceDBOptions-3.0.xml
   A /trunk/Libs/AceEvent-3.0
   A /trunk/Libs/AceEvent-3.0/AceEvent-3.0.lua
   A /trunk/Libs/AceEvent-3.0/AceEvent-3.0.xml
   A /trunk/Libs/AceGUI-3.0
   A /trunk/Libs/AceGUI-3.0/AceGUI-3.0.lua
   A /trunk/Libs/AceGUI-3.0/AceGUI-3.0.xml
   A /trunk/Libs/AceGUI-3.0/widgets
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-BlizOptionsGroup.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-DropDownGroup.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-Frame.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-InlineGroup.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-ScrollFrame.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-SimpleGroup.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-TabGroup.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-TreeGroup.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIContainer-Window.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-DropDown-Items.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-Icon.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-InteractiveLabel.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-Label.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua
   A /trunk/Libs/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/BackgroundWidget.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/BorderWidget.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/FontWidget.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/AceGUI-3.0.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/AceGUI-3.0.xml
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-BlizOptionsGroup.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-DropDownGroup.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-Frame.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-InlineGroup.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-ScrollFrame.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-SimpleGroup.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-TabGroup.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-TreeGroup.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIContainer-Window.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-DropDown-Items.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-Icon.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-InteractiveLabel.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-Label.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/CallbackHandler-1.0
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/CallbackHandler-1.0/CallbackHandler-1.0.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/CallbackHandler-1.0/CallbackHandler-1.0.xml
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/LibStub
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/LibStub/LibStub.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/Libs/LibStub/LibStub.toc
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/SoundWidget.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/StatusbarWidget.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/prototypes.lua
   A /trunk/Libs/AceGUI-3.0-SharedMediaWidgets/widget.xml
   A /trunk/Libs/AceLocale-3.0
   A /trunk/Libs/AceLocale-3.0/AceLocale-3.0.lua
   A /trunk/Libs/AceLocale-3.0/AceLocale-3.0.xml
   A /trunk/Libs/CallbackHandler-1.0
   A /trunk/Libs/CallbackHandler-1.0/CallbackHandler-1.0.lua
   A /trunk/Libs/CallbackHandler-1.0/CallbackHandler-1.0.xml
   A /trunk/Libs/LibDBIcon-1.0
   A /trunk/Libs/LibDBIcon-1.0/LibDBIcon-1.0.lua
   A /trunk/Libs/LibSharedMedia-3.0
   A /trunk/Libs/LibSharedMedia-3.0/LibSharedMedia-3.0.lua
   A /trunk/Libs/LibSharedMedia-3.0/lib.xml
   A /trunk/Libs/LibStub
   A /trunk/Libs/LibStub/LibStub.lua
   A /trunk/Libs/libdatabroker-1-1
   A /trunk/Libs/libdatabroker-1-1/LibDataBroker-1.1.lua
   A /trunk/Libs/libdatabroker-1-1/README.textile
   A /trunk/WhatsNext-ArgumentDisplay.xml
   A /trunk/WhatsNext-ArgumentListDisplay.xml
   A /trunk/WhatsNext-CastBlockEditDisplay.xml
   A /trunk/WhatsNext-CastLogicBlockDisplay.xml
   A /trunk/WhatsNext-CastLogicDisplay.xml
   A /trunk/WhatsNext-CastLogicScrollDisplay.xml
   A /trunk/WhatsNext-CheckBlockDisplay.xml
   A /trunk/WhatsNext-CheckEditDisplay.xml
   A /trunk/WhatsNext-CheckScrollDisplay.xml
   A /trunk/WhatsNext-Checks.lua
   A /trunk/WhatsNext-DeathKnight-Blood.lua
   A /trunk/WhatsNext-EditBox.lua
   A /trunk/WhatsNext-EditBox.xml
   A /trunk/WhatsNext-Extension.lua
   A /trunk/WhatsNext-Localization.lua
   A /trunk/WhatsNext-Settings.lua
   A /trunk/WhatsNext-Warrior-Protection.lua
   A /trunk/WhatsNext-config.xml
   A /trunk/WhatsNext.lua
   A /trunk/WhatsNext.toc
   A /trunk/WhatsNext.xml
   A /trunk/textures
   A /trunk/textures/blank.tga

Initial Commit
------------------------------------------------------------------------
r1 | svn | 2012-09-06 03:07:09 +0000 (Thu, 06 Sep 2012) | 1 line
Changed paths:
   A /branches
   A /tags
   A /trunk

whatsnext/mainline: Initial Import
------------------------------------------------------------------------
